Bug 54810 - rp3 crashes (strcmp in ./rp3-config/modem-edit.cc:375)
rp3 crashes (strcmp in ./rp3-config/modem-edit.cc:375)
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-19 12:12 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 12:52:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-19 12:12:16 EDT
Description of Problem:

rp3 crashes when Dialer Defaults,Modem entry is missing in /etc/wvdial.conf

Error is in: rp3-config/modem-edit.cc:375
if (strcmp (cfg->get ("Dialer Defaults", "Modem"), modem->device) == 0) {
cfg-get returns a null pointer

I suspect the `Dialer Defaults' section is supposed to
be always present in /etc/wvdial.conf, but it wasn't ! 

Version-Release number of selected component (if applicable):
At least rp3-1.1.10-1 .. rp3-1.1.10-4

How Reproducible:
100%

Steps to Reproduce:
1. Play around with rp3, rp3-conf, wvdial, wvdialconf (what else ?)
   untill the Dialer Defaults section is gone
2. Run rp3 

Actual Results:
crash

Expected Results:
works

Additional Information:
I agree wholeheartedly with comments in
http://www.redhat.com/bugzilla/show_bug.cgi?id=54302
Comment 1 Bill Nottingham 2006-08-07 13:09:14 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 rosa 2006-08-28 07:07:55 EDT
He he, very clever, after 5 years I no longer have any copies of redhat 7.1
around and would need to go digging for a modem ;-)

Ok to close this bug !

FWIW I switched to CentOS two years ago and had stopped reporting 
bugs to Redhat a year before that after not receiving replies to 
more serious bugreports. My company recently bought RHEL licenses as they
were required by SAP. But for all other purposes CentOS suits me just fine.
Comment 3 Bill Nottingham 2006-08-28 12:52:54 EDT
OK. Apologies for the delay, and thanks for the honesty.

Note You need to log in before you can comment on or make changes to this bug.